libosmo-sigtran 2.2.1.63-bc8b Osmocom SIGTRAN library

Data Fields
osmo_mtp_transfer_param Struct Reference

`#include <mtp_sap.h>`

## Data Fields
uint32_t | opc
uint32_t | dpc
uint8_t | sls
uint8_t | sio

## Field Documentation

## ◆ dpc

uint32_t osmo_mtp_transfer_param::dpc

Referenced by asp_loadshare_tcap_sccp(), gen_duna_ret_msg(), gen_dupu_ret_msg(), gen_mtp_transfer_req_xua(), m3ua_dh_to_xfer_param(), m3ua_rx_xfer(), mtp3_hmdc_rx_from_l2(), mtp3_hmdt_rx_msg_for_local_unavailable_part(), mtp3_hmrt_message_for_routing(), mtp3_rtpc_rx_msg_for_inaccessible_sp(), mtp_xfer_param_to_m3ua_dh(), sccp_conn_xua_gen_relre_and_send(), scrc_node_2(), send_back_udts(), sua2sccp_tx_m3ua(), sua_rx_msg(), tx_coerr_from_xua(), tx_relco_from_xua(), tx_rlsd_from_xua_twoway(), and xua_gen_msg_co().

## ◆ opc

uint32_t osmo_mtp_transfer_param::opc

Referenced by asp_loadshare_tcap_sccp(), ensure_opc_in_calling_ssn(), gen_duna_ret_msg(), gen_dupu_ret_msg(), gen_mtp_transfer_req_xua(), m3ua_dh_to_xfer_param(), m3ua_rx_xfer(), mtp3_hmdt_rx_msg_for_local_unavailable_part(), mtp3_hmrt_message_for_routing(), mtp3_rtpc_rx_msg_for_inaccessible_sp(), mtp_xfer_param_to_m3ua_dh(), sccp_sclc_rx_scrc_rout_fail(), sccp_scoc_rx_from_scrc(), sccp_scoc_rx_inval_opc(), scoc_fsm_conn_pend_out(), scoc_fsm_idle(), scoc_fsm_wait_conn_conf(), send_back_udts(), ss7_as_select_asp_loadshare(), sua2sccp_tx_m3ua(), sua_rx_msg(), tx_coerr_from_xua(), tx_relco_from_xua(), and tx_rlsd_from_xua_twoway().

## ◆ sio

uint8_t osmo_mtp_transfer_param::sio

Referenced by __attribute__(), m3ua_dh_to_xfer_param(), mtp_xfer_param_to_m3ua_dh(), sua2sccp_tx_m3ua(), sua_rx_msg(), tx_coerr_from_xua(), tx_relco_from_xua(), and tx_rlsd_from_xua_twoway().

## ◆ sls

uint8_t osmo_mtp_transfer_param::sls

Referenced by gen_mtp_transfer_req_xua(), m3ua_dh_to_xfer_param(), m3ua_rx_xfer(), mtp3_hmdt_rx_msg_for_local_unavailable_part(), mtp3_hmrt_message_for_routing(), mtp3_rtpc_rx_msg_for_inaccessible_sp(), mtp_xfer_param_to_m3ua_dh(), ss7_as_select_asp_loadshare(), sua2sccp_tx_m3ua(), sua_rx_cl(), sua_rx_co(), xua_gen_msg_cl(), and xua_gen_msg_co().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/mtp_sap.h